View Issue Details

IDProjectCategoryView StatusLast Update
0001178SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.6 
Target Version3.3.7Fixed in Version3.3.7 
Summary0001178: Performance Improvement: Many calls are being made to the file system to check if file exists while extracting big batches
DescriptionPerformance Improvement: Many calls are being made to the file system to check if file exists while extracting big batches. There have been reports of java.io.File.exists() being very slow on Windows.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 7f6b2fe8

2013-04-15 15:08:28

chenson

Details Diff
0001178: Performance Improvement: Many calls are being made to the file system to check if file exists while extracting big batches
0001178
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/StagingDataWriter.java Diff File

Issue History

Date Modified Username Field Change
2013-04-15 15:07 chenson New Issue
2013-04-15 15:07 chenson Status new => assigned
2013-04-15 15:07 chenson Assigned To => chenson
2013-04-15 16:33 chenson Status assigned => resolved
2013-04-15 16:33 chenson Fixed in Version => 3.3.7
2013-04-15 16:33 chenson Resolution open => fixed
2013-04-26 13:02 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7070
2014-02-02 20:53 Changeset attached => SymmetricDS 3.3 r7071
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7f6b2fe8